Skip to navigation

Get a notebook template entry by ID

Get a notebook template entry by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entry_template_idstringRequired
ID of the entry template

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: “days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “days.notes.text” will return the same model as “days.notes”.

Response

Returns a single entry template. Entry templates are templates that users can base new notebook entries off of.
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Entry Template in the API.
createdAtdatetimeOptionalRead-only
DateTime the template was created at
creatorobjectOptional
UserSummary Resource of the user who created the template
customFieldsmap from strings to objectsOptional
dayslist of objectsOptional

Array of day objects. Each day object has a day index (integer) and notes field (array of notes, expand further for details on note types).

fieldsmap from strings to objectsOptional
idstringOptional
ID of the entry template
modifiedAtstringOptional
DateTime the template was last modified
namestringOptional
Title of the template
schemaobject or nullOptional
Entry schema if set
templateCollectionIdstringOptional
ID of the collection that contains the template
webURLstringOptional
URL of the template